%global sum	Reimplementation of the old game known as Tower Toppler or Nebulous

Summary:	%{sum}
Name:		toppler
Version:	1.1.6
Release:	%mkrel 8
Source0:	https://downloads.sourceforge.net/toppler/%{name}-%{version}.tar.gz
License:	GPLv2+
URL:		http://toppler.sourceforge.net/
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	pkgconfig(SDL_mixer) 
BuildRequires:	pkgconfig(zlib)
Requires(post):	rpm-helper

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%setup -q

%build
export CXXFLAGS="%optflags -U HISCOREDIR -D HISCOREDIR=\\\"%{_localstatedir}/lib/games\\\" -U TOP_DATADIR -D TOP_DATADIR=\\\"%{_gamesdatadir}/%{name}\\\""
%configure	--bindir=%{_gamesbindir}
make

%install
%make_install pkglocalstatedir=%{_localstatedir}/lib/games pkgdatadir=%{_gamesdatadir}/%{name} pkgdocdir=%{_docdir}/%{name}-%{version}

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tower Toppler
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

chmod a+w %{buildroot}%{_localstatedir}/lib/games/toppler.hsc

%find_lang %{name}

%post
%create_ghostfile %{_localstatedir}/lib/games/toppler.hsc root games 664

%files -f %{name}.lang
%doc %{_docdir}/%{name}-%{version}/*
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/toppler.hsc
%attr(2755, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Thu Apr 23 2020 danf <danf> 1.1.6-8.mga8
+ Revision: 1571476
- Fix Comment= in .desktop file

* Fri Feb 14 2020 umeabot <umeabot> 1.1.6-7.mga8
+ Revision: 1517446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.6-6.mga7
+ Revision: 1301438
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.6-5.mga6
+ Revision: 942958
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 746541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-3.mga5
+ Revision: 689920
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 528472
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 zezinho <zezinho> 1.1.6-1.mga4
+ Revision: 445160
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 384655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 zezinho <zezinho> 1.1.5-2.mga2
+ Revision: 220495
- remove soundwrapper from menu as it is not used anymore

* Sun Jul 10 2011 stormi <stormi> 1.1.5-1.mga2
+ Revision: 121840
- remove merged upstream hunk from the patch
- rediff patch for the other hunk
- add back %%post section title for ghostfile creation
- new bugfix release 1.1.5

* Tue Apr 26 2011 wally <wally> 1.1.4-2.mga1
+ Revision: 91832
- fix desktop file name (mga#954)
- fix license
- drop buildroot definition

* Thu Mar 17 2011 steletch <steletch> 1.1.4-1.mga1
+ Revision: 73466
- Clean spec file
- imported package toppler

